<%- include('./partials/header')%>
<%- include('./partials/file-start') %>
<div>
    <h1>Poslední výsledky</h1>
    <p>Níže můžete vidět nejaktuálnější výsledky z oblasti požárního sportu zadané do našeho portálu</p>
    <table id="results" class="table table-striped table-bordered w-100">
        <thead>
            <tr style="text-align: center; ">
                <th>Soutěž</th>
                <th>Tým</th>
                <!-- <th>Okres</th> -->
                <th>L&nbsp;terč</th>
                <th>P&nbsp;terč</th>
                <th>Čas</th>
                <th style="text-align: center; width: 5%" class="yt-link">YT</th>
            </tr>
        </thead>
    </table>
    <%- include('./partials/dataTables')%>
    <script>
        $(document).ready(function () {
            API.result
                .list()
                .done((dataFromServer) => {
                    // console.log(dataFromServer)
                    $('table#results').DataTable({
                        language: {
                            url: '/js/dataTables/myCzech.json'
                        },
                        order: [[0, "asc"]],
                        responsive: true,
                        data: dataFromServer,
                        columnDefs: [
                            {
                                width: '20%',
                                targets: 2
                            }
                        ],
                        columns: [
                            {
                                data: 'competition.name'
                            }, {
                                data: '_id',
                                fnCreatedCell: function (nTd, sData, oData, iRow, iCol) {
                                    const $category = $('<p>', { class: 'm-0 text-left' }).text(oData.category.name)
                                    if (oData.category.name.includes('Ž')) {
                                        $category.addClass('text-pink')
                                    } else if (oData.category.name.includes('Veterán')) {
                                        $category.addClass('text-danger')
                                    } else if (oData.category.name.includes('Junio')) {
                                        $category.addClass('text-success')
                                    } else if (oData.category.name.includes('Muži')) {
                                        $category.addClass('text-primary')
                                    }
                                    $(nTd).html(
                                        $('<div>', { class: 'd-flex justify-content-center' }).append(
                                            $('<p>', { class: 'mb-0 mr-1 text-right' }).text(oData.team.name),
                                            $category
                                        )
                                    )
                                }
                            }, /*
                                data: 'team.district.name.full'
                            },*/ {
                                data: 'targets.left',
                                fnCreatedCell: function (nTd, sData, oData, iRow, iCol) {
                                    formatResult(oData.targets.left, $(nTd))
                                }
                            }, {
                                data: 'targets.right',
                                fnCreatedCell: function (nTd, sData, oData, iRow, iCol) {
                                    formatResult(oData.targets.right, $(nTd))
                                }
                            }, {
                                data: 'result',
                                fnCreatedCell: function (nTd, sData, oData, iRow, iCol) {
                                    formatResult(oData.result, $(nTd))
                                }
                            }, {
                                data: '_id',
                                fnCreatedCell: function (nTd, sData, oData, iRow, iCol) {
                                    $(nTd).html(
                                        $("<div>", { class: "row m-auto justify-content-around" }).append(
                                            oData.media.youtube === '#' ? '' : $('<a>', { href: oData.media.youtube, target: '_blank' }).append($('<i>', { class: 'fab fa-youtube text-danger' })),
                                        ),
                                    )

                                }
                            }
                        ],
                    })
                })
        })
    </script>
</div>

<div>
    <h1>Výsledky</h1>
    <p>Online výsledky i z Vaší soutěže <a href="/contact">zde</a></p>
</div>
<%- include('./partials/footer') %>
<%- include('./partials/file-end') %>
